Index: src/main/java/com/example/rezevirajmasa/demo/service/ReservationService.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/service/ReservationService.java	(revision e48199adf103ea72701a91722bdbf8cfb9732731)
+++ src/main/java/com/example/rezevirajmasa/demo/service/ReservationService.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -1,9 +1,8 @@
 package com.example.rezevirajmasa.demo.service;
 
-import com.example.rezevirajmasa.demo.dto.ReservationDTO;
-import com.example.rezevirajmasa.demo.dto.RestaurantDTO;
-import com.example.rezevirajmasa.demo.model.*;
-import org.springframework.scheduling.annotation.Scheduled;
-import org.springframework.security.core.userdetails.UserDetails;
+import com.example.rezevirajmasa.demo.model.Customer;
+import com.example.rezevirajmasa.demo.model.Reservation;
+import com.example.rezevirajmasa.demo.model.Restaurant;
+import com.example.rezevirajmasa.demo.model.TableEntity;
 
 import java.time.LocalDateTime;
@@ -11,19 +10,13 @@
 
 public interface ReservationService {
-    public Reservation makeReservationRest(ReservationDTO reservation, User user, Restaurant restaurant);
+    public void makeReservation(Customer customer, TableEntity table, Restaurant restaurant, LocalDateTime localDateTime, LocalDateTime checkInTime, int partySize, String specialRequests);
+    public Reservation makeReservationRest(Reservation reservation);
     public List<Reservation> listAll();
-    public Reservation updateReservation(Long reservationId, ReservationDTO reservationDTO, User user);
-    public List<Reservation> reservationsForTable(TableEntity table);
     public Reservation findById(Long id);
     public Reservation getReservationById(Long reservationId);
     public boolean cancelReservation(Long reservationId);
-    public List<Reservation> findReservationByUser(User user);
-    public List<Reservation> findAllByUser(User user);
-    public List<Reservation> findReservationsByUserPast(User user);
+    public List<Reservation> findReservationByCustomer(Customer customer);
     public List<Reservation> findReservationsByTableAndDateRange(TableEntity table, LocalDateTime startDateTime, LocalDateTime endDateTime);
-    @Scheduled(cron = "0 0 0 * * ?")
-    void findReservationsToMove();
+    List<Reservation> findReservationsToMove(LocalDateTime currentTime);
     void deleteReservation(Long reservationID);
-
-    List<Reservation> findAllByRestaurant(Restaurant restaurant);
 }
Index: src/main/java/com/example/rezevirajmasa/demo/service/RestaurantService.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/service/RestaurantService.java	(revision e48199adf103ea72701a91722bdbf8cfb9732731)
+++ src/main/java/com/example/rezevirajmasa/demo/service/RestaurantService.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -1,29 +1,20 @@
 package com.example.rezevirajmasa.demo.service;
 
-import com.example.rezevirajmasa.demo.dto.RestaurantDTO;
 import com.example.rezevirajmasa.demo.model.Restaurant;
-import com.example.rezevirajmasa.demo.model.TableEntity;
 
 import java.math.BigDecimal;
 import java.time.LocalDate;
-import java.time.LocalDateTime;
 import java.util.List;
 
 public interface RestaurantService {
-    List<RestaurantDTO> listall();
-    List<Restaurant> listAll();
-    //    void save(String name, String cuisineType, String address, String phone, String operatingHours, String website, String socialMediaLinks, BigDecimal rating, List<Long> tablesList);
+    List<Restaurant> listall();
+//    void save(String name, String cuisineType, String address, String phone, String operatingHours, String website, String socialMediaLinks, BigDecimal rating, List<Long> tablesList);
 //    void save(String name, String cuisineType, String address, String phone, String operatingHours, String website, String socialMediaLinks, BigDecimal rating, int numberOfTables, int tableCapacity, String location, Boolean isSmokingArea, String description);
     void save(Restaurant restaurant, int numberOfTables, List<Integer> tableCapacities, List<String> tableLocations, List<String> tableSmokingAreas, List<String> tableDescriptions);
     Restaurant updateRestaurant(Long restaurantId, String name, String cuisineType, String address, String phone, String operatingHours, String website, String socialMediaLinks, BigDecimal rating, List<Long> tablesList);
     Restaurant deleteRestaurant(Long restaurantId);
-    RestaurantDTO findById(Long restaurantId);
-    Restaurant findByIdRestaurant(Long restaurantId);
+
+    Restaurant findById(Long restaurantId);
     List<Restaurant> listRestaurantBy(String search);
     List<Restaurant> getRestaurantsWithAvailableTimeSlotsForToday();
-    public List<Restaurant> findRestaurantsByDateTimeAndPartySize(LocalDateTime dateTime, int partySize, String search);
-//    public List<Restaurant> findRestaurantsBySearchParams(LocalDateTime dateTime, int partySize, String search);
-    public List<String> findALlCuisineTypes();
-    List<RestaurantDTO> findRestaurantsByCuisineType(String param);
-    public List<RestaurantDTO> findRestaurantsBySearchParams(LocalDateTime dateTime, int partySize, String search);
 }
Index: src/main/java/com/example/rezevirajmasa/demo/service/TableService.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/service/TableService.java	(revision e48199adf103ea72701a91722bdbf8cfb9732731)
+++ src/main/java/com/example/rezevirajmasa/demo/service/TableService.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -1,5 +1,4 @@
 package com.example.rezevirajmasa.demo.service;
 
-import com.example.rezevirajmasa.demo.dto.TableDTO;
 import com.example.rezevirajmasa.demo.model.Restaurant;
 import com.example.rezevirajmasa.demo.model.TableEntity;
@@ -13,7 +12,6 @@
 public interface TableService {
     List<TableEntity> listall();
-    TableDTO findById(Long id);
-    TableEntity findByIdTable(Long id);
-    void save(int numberOfTables, List<Integer> tableCapacities, List<String> tableLocations, List<String> tableSmokingAreas, List<String> tableDescriptions, Restaurant restaurant);
+    TableEntity findById(Long id);
+//    void save(int numberOfTables, List<Integer> tableCapacities, List<String> tableLocations, List<String> tableSmokingAreas, List<String> tableDescriptions, Restaurant restaurant);
     void deleteTimeSlotsForReservation(Long tableId, LocalDateTime reservationTime);
     void canceledTimeSlots(Long tableId, LocalDateTime reservationTime);
Index: src/main/java/com/example/rezevirajmasa/demo/service/impl/CustomerServiceImpl.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/service/impl/CustomerServiceImpl.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
+++ src/main/java/com/example/rezevirajmasa/demo/service/impl/CustomerServiceImpl.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -0,0 +1,105 @@
+package com.example.rezevirajmasa.demo.service.impl;
+
+import com.example.rezevirajmasa.demo.model.Customer;
+import com.example.rezevirajmasa.demo.model.MembershipLevel;
+import com.example.rezevirajmasa.demo.model.Reservation;
+import com.example.rezevirajmasa.demo.model.Role;
+import com.example.rezevirajmasa.demo.model.exceptions.InvalidCustomerIdException;
+import com.example.rezevirajmasa.demo.repository.CustomerRepository;
+import com.example.rezevirajmasa.demo.service.CustomerService;
+import org.springframework.security.core.parameters.P;
+import org.springframework.security.core.userdetails.User;
+import org.springframework.security.core.userdetails.UserDetails;
+import org.springframework.security.core.userdetails.UserDetailsService;
+import org.springframework.security.core.userdetails.UsernameNotFoundException;
+import org.springframework.security.crypto.password.PasswordEncoder;
+import org.springframework.stereotype.Service;
+
+import javax.swing.text.html.Option;
+import java.time.Instant;
+import java.time.LocalDateTime;
+import java.util.*;
+
+@Service
+public class CustomerServiceImpl implements CustomerService, UserDetailsService {
+    private final CustomerRepository customerRepository;
+
+    private final PasswordEncoder passwordEncoder;
+    public CustomerServiceImpl(CustomerRepository customerRepository, PasswordEncoder passwordEncoder) {
+        this.customerRepository = customerRepository;
+        this.passwordEncoder = passwordEncoder;
+    }
+
+    @Override
+    public Customer registration(String firstName, String lastName, String email, String password, String phone, String address, MembershipLevel membershipLevel, Role role) {
+        Customer customer = new Customer();
+        customer.setFirstName(firstName);
+        customer.setLastName(lastName);
+        customer.setEmail(email);
+        customer.setPassword(passwordEncoder.encode(password));
+        customer.setAddress(address);
+        customer.setPhone(phone);
+        customer.setMembershipLevel(membershipLevel);
+        customer.setRole(role);
+        customer.setRegistrationDate(Date.from(Instant.now()));
+        return customerRepository.save(customer);
+    }
+
+    @Override
+    public List<Customer> listAll() {
+        return customerRepository.findAll();
+    }
+
+    @Override
+    public UserDetails loadUserByUsername(String email) throws UsernameNotFoundException {
+        Customer customer = customerRepository.findByEmail(email);
+        if (customer == null) {
+            throw new UsernameNotFoundException("User not found with email: " + email);
+        }
+        return new org.springframework.security.core.userdetails.User(
+                customer.getEmail(),
+                customer.getPassword(),
+                Collections.singletonList(customer.getRole())
+        );
+    }
+
+    @Override
+    public Customer updateCustomer(Long id, String firstName, String lastName, String email, String password, String phone, String address, MembershipLevel membershipLevel) {
+        Customer customer = findById(id);
+        customer.setFirstName(firstName);
+        customer.setLastName(lastName);
+        customer.setEmail(email);
+        customer.setPassword(passwordEncoder.encode(password));
+        customer.setPhone(phone);
+        customer.setMembershipLevel(membershipLevel);
+        customer.setAddress(address);
+        return customerRepository.save(customer);
+    }
+
+    @Override
+    public Customer findByEmail(String email) {
+        return customerRepository.findByEmail(email);
+    }
+
+    @Override
+    public Customer findById(Long id) {
+        return customerRepository.findById(id).orElseThrow(InvalidCustomerIdException::new);
+    }
+
+    @Override
+    public Customer registration(Customer customer) {
+        return customerRepository.save(customer);
+    }
+
+    @Override
+    public boolean deleteById(Long customerId) {
+        Optional<Customer> optionalCustomer = customerRepository.findById(customerId);
+        if(optionalCustomer.isPresent()) {
+            Customer customer = optionalCustomer.get();
+            customerRepository.delete(customer);
+            return true;
+        } else {
+            return false;
+        }
+    }
+}
Index: src/main/java/com/example/rezevirajmasa/demo/service/impl/ReservationHistoryServiceImpl.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/service/impl/ReservationHistoryServiceImpl.java	(revision e48199adf103ea72701a91722bdbf8cfb9732731)
+++ src/main/java/com/example/rezevirajmasa/demo/service/impl/ReservationHistoryServiceImpl.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -1,7 +1,7 @@
 package com.example.rezevirajmasa.demo.service.impl;
 
+import com.example.rezevirajmasa.demo.model.Customer;
 import com.example.rezevirajmasa.demo.model.Reservation;
 import com.example.rezevirajmasa.demo.model.Restaurant;
-import com.example.rezevirajmasa.demo.model.User;
 import com.example.rezevirajmasa.demo.repository.ReservationHistoryRepository;
 import com.example.rezevirajmasa.demo.service.ReservationHistoryService;
@@ -22,5 +22,5 @@
     public void moveReservationToHistory(Reservation reservation, String status, String cancellationReason) {
         Restaurant.ReservationHistory history = new Restaurant.ReservationHistory();
-        history.setUser(reservation.getUser());
+        history.setCustomer(reservation.getCustomer());
         history.setTable(reservation.getTable());
         history.setReservationDateTime(reservation.getReservationDateTime());
@@ -42,14 +42,16 @@
 
     @Override
-    public List<Restaurant.ReservationHistory> findByUser(User user) {
-        return reservationHistoryRepository.findALlByUser(user);
+    public List<Restaurant.ReservationHistory> findByCustomer(Customer customer) {
+        return reservationHistoryRepository.findAllByCustomer(customer);
     }
 
     @Override
     public void moveReservationsToPast(List<Restaurant.ReservationHistory> reservationsToMove) {
+        // Update the status of reservations to "Past"
         for (Restaurant.ReservationHistory reservation : reservationsToMove) {
             reservation.setStatus("Past");
         }
 
+        // Save the updated reservations
         reservationHistoryRepository.saveAll(reservationsToMove);
     }
Index: src/main/java/com/example/rezevirajmasa/demo/service/impl/ReservationImpl.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/service/impl/ReservationImpl.java	(revision e48199adf103ea72701a91722bdbf8cfb9732731)
+++ src/main/java/com/example/rezevirajmasa/demo/service/impl/ReservationImpl.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -1,22 +1,22 @@
 package com.example.rezevirajmasa.demo.service.impl;
 
-import com.example.rezevirajmasa.demo.dto.PreorderedItemDto;
-import com.example.rezevirajmasa.demo.dto.ReservationDTO;
-import com.example.rezevirajmasa.demo.mappers.UserMapper;
-import com.example.rezevirajmasa.demo.model.*;
+import com.example.rezevirajmasa.demo.model.Customer;
+import com.example.rezevirajmasa.demo.model.Reservation;
+import com.example.rezevirajmasa.demo.model.Restaurant;
+import com.example.rezevirajmasa.demo.model.TableEntity;
 import com.example.rezevirajmasa.demo.model.exceptions.InvalidReservationException;
 import com.example.rezevirajmasa.demo.model.exceptions.InvalidReservationIdException;
+import com.example.rezevirajmasa.demo.repository.CustomerRepository;
 import com.example.rezevirajmasa.demo.repository.ReservationRepository;
+import com.example.rezevirajmasa.demo.repository.RestaurantRepository;
 import com.example.rezevirajmasa.demo.repository.TableRepository;
-import com.example.rezevirajmasa.demo.service.MenuService;
-import com.example.rezevirajmasa.demo.service.ReservationHistoryService;
 import com.example.rezevirajmasa.demo.service.ReservationService;
-import com.example.rezevirajmasa.demo.service.UserService;
 import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.context.annotation.Lazy;
 import org.springframework.stereotype.Service;
 
+import javax.swing.text.html.Option;
 import java.time.LocalDateTime;
-import java.util.ArrayList;
+import java.time.LocalTime;
+import java.time.format.DateTimeFormatter;
 import java.util.List;
 import java.util.Optional;
@@ -24,21 +24,12 @@
 @Service
 public class ReservationImpl implements ReservationService {
-
     @Autowired
     private TableRepository tableRepository;
     @Autowired
-    private ReservationHistoryService reservationHistoryService;
-    private final UserMapper userMapper;
+    private RestaurantRepository restaurantRepository;
     @Autowired
-    private UserService userService;
+    private CustomerRepository customerRepository;
     @Autowired
     private ReservationRepository reservationRepository;
-    @Autowired
-    @Lazy
-    private MenuService menuService;
-
-    public ReservationImpl(UserMapper userMapper) {
-        this.userMapper = userMapper;
-    }
 
     @Override
@@ -48,98 +39,37 @@
 
     @Override
-    public Reservation makeReservationRest(ReservationDTO reservationDTO, User user, Restaurant restaurant) {
-        Reservation reservation = new Reservation();
+    public void makeReservation(Customer customer, TableEntity table, Restaurant restaurant, LocalDateTime localDateTime, LocalDateTime checkInTime, int partySize, String specialRequests) {
+        if (!table.isAvailable(checkInTime)) {
+            // Handle unavailability (throw an exception, return a specific response, etc.)
+            throw new RuntimeException("Table not available for the specified time slot");
+        }
 
-        Optional<TableEntity> optionalTable = tableRepository.findById(reservationDTO.getTableNumber());
+        Reservation reservation =
+                new Reservation(customer, table, restaurant, LocalDateTime.now(), partySize, specialRequests, "Reserved", checkInTime, checkInTime.plusHours(2), null);
 
-        if (optionalTable.isPresent()) {
+//        // Update table status or perform additional logic if needed
+//        tableRepository.save(table);
+
+        // Save the reservation
+        reservationRepository.save(reservation);
+    }
+
+    @Override
+    public Reservation makeReservationRest(Reservation reservation) {
+        Optional<TableEntity> optionalTable = tableRepository.findById(reservation.getTable().getId());
+        if(optionalTable.isPresent()) {
             TableEntity table = optionalTable.get();
 
-            LocalDateTime startTime = reservationDTO.getReservationDateTime().plusHours(1);
-            LocalDateTime endTime = reservationDTO.getReservationDateTime().plusHours(3);
+            LocalDateTime startTime = reservation.getCheckInTime().minusHours(2);
+            LocalDateTime endTime = reservation.getCheckInTime().plusHours(2);
 
-            boolean hasConflict = table.getReservations().stream()
-                    .anyMatch(existingReservation -> {
-                        LocalDateTime existingStartTime = existingReservation.getCheckInTime();
-                        LocalDateTime existingEndTime = existingReservation.getCheckOutTime();
-
-                        boolean scenario1 = existingStartTime.isBefore(startTime) && existingEndTime.isAfter(startTime);
-
-                        boolean scenario2 = existingStartTime.isBefore(endTime) && existingEndTime.isAfter(startTime);
-
-                        boolean scenario3 = existingStartTime.isAfter(startTime) && existingEndTime.isBefore(endTime);
-
-                        boolean scenario4 = existingStartTime.isBefore(startTime) && existingEndTime.isAfter(endTime);
-
-                        return scenario1 || scenario2 || scenario3 || scenario4;
-                    });
-            if (hasConflict) {
-                throw new InvalidReservationException("Unsuccessful reservation -> time slot not available");
-            }
-
-            reservation.setTable(table);
-            reservation.setReservationDateTime(LocalDateTime.now());
-            reservation.setSpecialRequests(reservationDTO.getSpecialRequests());
-            reservation.setPartySize(reservationDTO.getPartySize());
-            reservation.setReservationStatus(reservationDTO.getStatus() != null ? reservationDTO.getStatus() : "Pending");
-            reservation.setPaymentStatus(reservationDTO.getPaymentStatus() != null ? reservationDTO.getPaymentStatus() : "Unpaid");
-            reservation.setUser(user);
-
-            List<PreorderedItem> preOrderedItems = new ArrayList<>();
-
-            for (PreorderedItemDto dtoItem : reservationDTO.getPreOrderedItems()) {
-                PreorderedItem item = new PreorderedItem();
-                item.setPreorderedItemName(dtoItem.getPreorderedItemName());
-                item.setQuantity(dtoItem.getQuantity());
-                item.setPrice(dtoItem.getPrice());
-                item.setReservation(reservation);
-
-                Menu menu = menuService.getMenuById(dtoItem.getMenuID());
-                item.setMenu(menu);
-
-                preOrderedItems.add(item);
-            }
-
-            reservation.setPreOrderedItems(preOrderedItems);
-            reservation.setRestaurant(restaurant);
-            reservation.setCheckInTime(reservationDTO.getReservationDateTime().plusHours(1));
-            reservation.setReservationDateTime(LocalDateTime.now());
-            reservation.setCheckOutTime(reservationDTO.getReservationDateTime().plusHours(3));
+            table.getTimeSlots().removeIf(
+                    x -> x.isAfter(startTime) && x.isBefore(endTime)
+            );
 
             return reservationRepository.save(reservation);
         } else {
-            throw new InvalidReservationException("Invalid table number -> table not found");
+            throw new InvalidReservationException("Unsuccessful reservation -> time slot not avalaible");
         }
-    }
-
-    @Override
-    public Reservation updateReservation(Long reservationId, ReservationDTO reservationDTO, User user) {
-        Reservation existingReservation = findById(reservationId);
-
-        if (!existingReservation.getCheckInTime().equals(reservationDTO.getReservationDateTime())) {
-            TableEntity table = existingReservation.getTable();
-            table.removeReservation(existingReservation);
-
-            LocalDateTime newStartTime = reservationDTO.getReservationDateTime().minusHours(2);
-            LocalDateTime newEndTime = reservationDTO.getReservationDateTime().plusHours(2);
-            boolean hasConflict = table.getReservations().stream()
-                    .anyMatch(r -> r.getCheckInTime().isAfter(newStartTime) && r.getCheckInTime().isBefore(newEndTime));
-
-            if (hasConflict) {
-                throw new InvalidReservationException("New time slot is not available.");
-            }
-
-            table.addReservation(existingReservation);
-        }
-
-        existingReservation.setCheckInTime(reservationDTO.getReservationDateTime());
-        existingReservation.setCheckOutTime(reservationDTO.getReservationDateTime().plusHours(2));
-        existingReservation.setReservationDateTime(LocalDateTime.now());
-        existingReservation.setPartySize(reservationDTO.getPartySize());
-        existingReservation.setSpecialRequests(reservationDTO.getSpecialRequests());
-        existingReservation.setReservationStatus(reservationDTO.getStatus() != null ? reservationDTO.getStatus() : existingReservation.getReservationStatus());
-        existingReservation.setPaymentStatus(reservationDTO.getPaymentStatus() != null ? reservationDTO.getPaymentStatus() : existingReservation.getPaymentStatus());
-
-        return reservationRepository.save(existingReservation);
     }
 
@@ -147,9 +77,4 @@
     public List<Reservation> listAll() {
         return reservationRepository.findAll();
-    }
-
-    @Override
-    public List<Reservation> reservationsForTable(TableEntity table) {
-        return reservationRepository.findAllByTableAndCheckInTime(table, LocalDateTime.now());
     }
 
@@ -166,30 +91,33 @@
             TableEntity table = reservation.getTable();
 
-            table.removeReservation(reservation);
+            LocalDateTime from = reservation.getCheckInTime().minusHours(2);
+            LocalDateTime till = reservation.getCheckInTime().plusHours(2);
 
-            reservationHistoryService.moveReservationToHistory(reservation, "Canceled", "Canceled by user");
+            String[] hours = table.getRestaurant().getOperatingHours().split("-");
+            LocalTime openingHourTime = LocalTime.parse(hours[0], DateTimeFormatter.ofPattern("HH:mm"));
+            LocalDateTime openingDateTime = openingHourTime.atDate(from.toLocalDate());
+            LocalTime closingHourTime = LocalTime.of(22,45);
+            LocalDateTime closingDateTime = closingHourTime.atDate(till.toLocalDate());
+            if(from.isBefore(openingDateTime)) {
+                from = openingDateTime;
+            }
+            if(till.isAfter(closingDateTime)) {
+                till = closingDateTime;
+            }
+            while (from.isBefore(reservation.getCheckInTime().plusHours(2))) {
+                table.addTimeSlot(from);
+                from = from.plusMinutes(15);
+            }
             reservationRepository.delete(reservation);
-
-            return true;
+            return true; // Return true indicating successful cancellation
         } else {
-            return false;
+            return false; // Return false indicating reservation with the given ID not found
         }
     }
 
-    @Override
-    public List<Reservation> findReservationByUser(User user) {
-        LocalDateTime now = LocalDateTime.now();
-        return reservationRepository.findAllByUserAndCheckInTimeAfter(user, now);
-    }
 
     @Override
-    public List<Reservation> findAllByUser(User user) {
-        return reservationRepository.findAllByUser(user);
-    }
-
-    @Override
-    public List<Reservation> findReservationsByUserPast(User user) {
-        LocalDateTime now = LocalDateTime.now();
-        return reservationRepository.findAllByUserAndCheckInTimeBefore(user, now);
+    public List<Reservation> findReservationByCustomer(Customer customer) {
+        return reservationRepository.findAllByCustomer(customer);
     }
 
@@ -200,10 +128,6 @@
 
     @Override
-    public void findReservationsToMove() {
-        List<Reservation> pastReservations = reservationRepository.findAllByCheckInTimeBefore(LocalDateTime.now());
-        for(Reservation reservation : pastReservations) {
-            reservationHistoryService.moveReservationToHistory(reservation, "successful", "/");
-            reservationRepository.delete(reservation);
-        }
+    public List<Reservation> findReservationsToMove(LocalDateTime currentTime) {
+        return reservationRepository.findAllByCheckInTimeBefore(currentTime);
     }
 
@@ -213,8 +137,3 @@
         reservationRepository.delete(reservation);
     }
-
-    @Override
-    public List<Reservation> findAllByRestaurant(Restaurant restaurant) {
-        return reservationRepository.findAllByRestaurantAndCheckInTimeAfter(restaurant, LocalDateTime.now());
-    }
 }
